# Class TDBSqlJsonArrayFormat

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TDBSqlJsonArrayFormat

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBSqlJsonArrayFormat>`, `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TDBSqlJsonArrayFormat extends Object implements org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>, Serializable, Cloneable, Comparable<TDBSqlJsonArrayFormat>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TDBSqlJsonArrayFormat._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`TDBSqlCompressionCodec`
`compressionCodec`
`static final Map<TDBSqlJsonArrayFormat._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

## Constructor Summary

Constructors
Constructor
Description
`TDBSqlJsonArrayFormat()`
`TDBSqlJsonArrayFormat(TDBSqlJsonArrayFormat other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TDBSqlJsonArrayFormat other)`
`TDBSqlJsonArrayFormat`
`deepCopy()`
`boolean`
`equals(TDBSqlJsonArrayFormat that)`
`boolean`
`equals(Object that)`
`TDBSqlJsonArrayFormat._Fields`
`fieldForId(int fieldId)`
`TDBSqlCompressionCodec`
`getCompressionCodec()`
`Object`
`getFieldValue(TDBSqlJsonArrayFormat._Fields field)`
`int`
`hashCode()`
`boolean`
`isSet(TDBSqlJsonArrayFormat._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetCompressionCodec()`
Returns true if field compressionCodec is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TDBSqlJsonArrayFormat`
`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`
`void`
`setCompressionCodecIsSet(boolean value)`
`void`
`setFieldValue(TDBSqlJsonArrayFormat._Fields field, Object value)`
`String`
`toString()`
`void`
`unsetCompressionCodec()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### compressionCodec

public TDBSqlCompressionCodec compressionCodec

See Also:
  - `TDBSqlCompressionCodec`

### metaDataMap

public static final Map<TDBSqlJsonArrayFormat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TDBSqlJsonArrayFormat

public TDBSqlJsonArrayFormat()

### TDBSqlJsonArrayFormat

public TDBSqlJsonArrayFormat(TDBSqlJsonArrayFormat other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TDBSqlJsonArrayFormat deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`

### getCompressionCodec

public TDBSqlCompressionCodec getCompressionCodec()

See Also:
  - `TDBSqlCompressionCodec`

### setCompressionCodec

public TDBSqlJsonArrayFormat setCompressionCodec(TDBSqlCompressionCodec compressionCodec)

See Also:
  - `TDBSqlCompressionCodec`

### unsetCompressionCodec

public void unsetCompressionCodec()

### isSetCompressionCodec

public boolean isSetCompressionCodec()
Returns true if field compressionCodec is set (has been assigned a value) and false otherwise

### setCompressionCodecIsSet

public void setCompressionCodecIsSet(boolean value)

### setFieldValue

public void setFieldValue(TDBSqlJsonArrayFormat._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`

### getFieldValue

public Object getFieldValue(TDBSqlJsonArrayFormat._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`

### isSet

public boolean isSet(TDBSqlJsonArrayFormat._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TDBSqlJsonArrayFormat that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TDBSqlJsonArrayFormat other)

Specified by:
  `compareTo` in interface `Comparable<TDBSqlJsonArrayFormat>`

### fieldForId

public TDBSqlJsonArrayFormat._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBSqlJsonArrayFormat,TDBSqlJsonArrayFormat._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`